%{?nodejs_find_provides_and_requires}

%global packagename has-ansi
%global enable_tests 0
# Tests disabled due to missing nodejs-ava package dependency

Name:		nodejs-has-ansi
Version:	2.0.0
Release:	%mkrel 6
Group:          System/Libraries
Summary:	Check if a string has ANSI escape codes

License:	MIT
URL:		https://github.com/sindresorhus/has-ansi
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/chalk/has-ansi/0722275e1bef139fcd09137da6e5550c3cd368b9/test.js

BuildArch:	noarch

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Check if a string has ANSI escape codes


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep ansi-regex ">=3.0.0"

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{__nodejs} test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.0.0-6.mga8
+ Revision: 1502817
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Thu Sep 20 2018 umeabot <umeabot> 2.0.0-5.mga7
+ Revision: 1280502
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 2.0.0-4.mga7
+ Revision: 1227323
- Fix nodejs dependencies

* Mon May 16 2016 neoclust <neoclust> 2.0.0-3.mga6
+ Revision: 1016037
- imported package nodejs-has-ansi

